diff --git a/lang/cat.l b/lang/cat.l
index 528a21df0..f919670d9 100644
--- a/lang/cat.l
+++ b/lang/cat.l
@@ -1754,6 +1754,27 @@ MEMO_MAIL_TEXT3
 #
 ###########################################################################
 	
+# Standard responses
+MEMO_RSEND_PLEASE_WAIT
+	Please wait %d seconds before using the RSEND command again.
+MEMO_RSEND_DISABLED
+	Sorry, RSEND has been disabled on this network.
+MEMO_RSEND_SYNTAX
+	RSEND {nick | channel} memo-text
+MEMO_RSEND_NICK_MEMO_TEXT
+	[auto-memo] The memo you sent has been viewed.
+MEMO_RSEND_CHAN_MEMO_TEXT
+	[auto-memo] The memo you sent to %s has been viewed.
+MEMO_RSEND_USER_NOTIFICATION
+	A notification memo has been sent to %s informing him/her you have
+	read his/her memo.
+
+###########################################################################
+#
+# BotServ messages
+#
+###########################################################################
+	
 # Standard responses
 BOT_DOES_NOT_EXIST
 	El bot %s no existeix.
@@ -4983,6 +5004,23 @@ MEMO_HELP_SENDALL
 #
 ###########################################################################
 
+MEMO_HELP_RSEND
+	Syntax: RSEND {nick | channel} memo-text
+	
+	Sends the named nick or channel a memo containing
+	memo-text.  When sending to a nickname, the recipient will
+	receive a notice that he/she has a new memo.  The target
+	nickname/channel must be registered.
+	Once the memo is read by its recepient, an automatic notification
+	memo will be sent to the sender informing him/her that the memo
+	has been read.
+
+###########################################################################
+#
+# OperServ help messages
+#
+###########################################################################
+
 OPER_HELP
 	Comandes per a %S:
 	    GLOBAL      Envia un missatge a totss els usuaris
diff --git a/lang/de.l b/lang/de.l
index 5311482df..211734cca 100644
--- a/lang/de.l
+++ b/lang/de.l
@@ -1741,6 +1741,27 @@ MEMO_MAIL_TEXT3
 #
 ###########################################################################
 	
+# Standard responses
+MEMO_RSEND_PLEASE_WAIT
+	Please wait %d seconds before using the RSEND command again.
+MEMO_RSEND_DISABLED
+	Sorry, RSEND has been disabled on this network.
+MEMO_RSEND_SYNTAX
+	RSEND {nick | channel} memo-text
+MEMO_RSEND_NICK_MEMO_TEXT
+	[auto-memo] The memo you sent has been viewed.
+MEMO_RSEND_CHAN_MEMO_TEXT
+	[auto-memo] The memo you sent to %s has been viewed.
+MEMO_RSEND_USER_NOTIFICATION
+	A notification memo has been sent to %s informing him/her you have
+	read his/her memo.
+
+###########################################################################
+#
+# BotServ messages
+#
+###########################################################################
+	
 # Standard responses
 BOT_DOES_NOT_EXIST
 	Bot %s gibt es nicht.
@@ -5147,6 +5168,23 @@ MEMO_HELP_SENDALL
 #
 ###########################################################################
 
+MEMO_HELP_RSEND
+	Syntax: RSEND {nick | channel} memo-text
+	
+	Sends the named nick or channel a memo containing
+	memo-text.  When sending to a nickname, the recipient will
+	receive a notice that he/she has a new memo.  The target
+	nickname/channel must be registered.
+	Once the memo is read by its recepient, an automatic notification
+	memo will be sent to the sender informing him/her that the memo
+	has been read.
+
+###########################################################################
+#
+# OperServ help messages
+#
+###########################################################################
+
 OPER_HELP
 	Kommandos von %S:
 	    GLOBAL      Eine Notice an alle User schicken
diff --git a/lang/es.l b/lang/es.l
index e97a22961..f48304b69 100644
--- a/lang/es.l
+++ b/lang/es.l
@@ -1752,6 +1752,27 @@ MEMO_MAIL_TEXT3
 #
 ###########################################################################
 	
+# Standard responses
+MEMO_RSEND_PLEASE_WAIT
+	Please wait %d seconds before using the RSEND command again.
+MEMO_RSEND_DISABLED
+	Sorry, RSEND has been disabled on this network.
+MEMO_RSEND_SYNTAX
+	RSEND {nick | channel} memo-text
+MEMO_RSEND_NICK_MEMO_TEXT
+	[auto-memo] The memo you sent has been viewed.
+MEMO_RSEND_CHAN_MEMO_TEXT
+	[auto-memo] The memo you sent to %s has been viewed.
+MEMO_RSEND_USER_NOTIFICATION
+	A notification memo has been sent to %s informing him/her you have
+	read his/her memo.
+
+###########################################################################
+#
+# BotServ messages
+#
+###########################################################################
+	
 # Standard responses
 BOT_DOES_NOT_EXIST
 	El bot %s no existe.
@@ -4983,6 +5004,23 @@ MEMO_HELP_SENDALL
 #
 ###########################################################################
 
+MEMO_HELP_RSEND
+	Syntax: RSEND {nick | channel} memo-text
+	
+	Sends the named nick or channel a memo containing
+	memo-text.  When sending to a nickname, the recipient will
+	receive a notice that he/she has a new memo.  The target
+	nickname/channel must be registered.
+	Once the memo is read by its recepient, an automatic notification
+	memo will be sent to the sender informing him/her that the memo
+	has been read.
+
+###########################################################################
+#
+# OperServ help messages
+#
+###########################################################################
+
 OPER_HELP
 	Comandos para %S:
 	    GLOBAL      Envia un mensaje a todos los usuarios
diff --git a/lang/fr.l b/lang/fr.l
index 840fb20b0..0657356d7 100644
--- a/lang/fr.l
+++ b/lang/fr.l
@@ -1753,6 +1753,27 @@ MEMO_MAIL_TEXT3
 #
 ###########################################################################
 	
+# Standard responses
+MEMO_RSEND_PLEASE_WAIT
+	Please wait %d seconds before using the RSEND command again.
+MEMO_RSEND_DISABLED
+	Sorry, RSEND has been disabled on this network.
+MEMO_RSEND_SYNTAX
+	RSEND {nick | channel} memo-text
+MEMO_RSEND_NICK_MEMO_TEXT
+	[auto-memo] The memo you sent has been viewed.
+MEMO_RSEND_CHAN_MEMO_TEXT
+	[auto-memo] The memo you sent to %s has been viewed.
+MEMO_RSEND_USER_NOTIFICATION
+	A notification memo has been sent to %s informing him/her you have
+	read his/her memo.
+
+###########################################################################
+#
+# BotServ messages
+#
+###########################################################################
+	
 # Standard responses
 BOT_DOES_NOT_EXIST
 	Le bot %s n'existe pas.
@@ -5025,6 +5046,23 @@ MEMO_HELP_SENDALL
 #
 ###########################################################################
 
+MEMO_HELP_RSEND
+	Syntax: RSEND {nick | channel} memo-text
+	
+	Sends the named nick or channel a memo containing
+	memo-text.  When sending to a nickname, the recipient will
+	receive a notice that he/she has a new memo.  The target
+	nickname/channel must be registered.
+	Once the memo is read by its recepient, an automatic notification
+	memo will be sent to the sender informing him/her that the memo
+	has been read.
+
+###########################################################################
+#
+# OperServ help messages
+#
+###########################################################################
+
 OPER_HELP
 	Commandes %S:
 	    GLOBAL      Envoie un message à tous les utilisateurs
diff --git a/lang/gr.l b/lang/gr.l
index 95471e9a1..afb08a39d 100644
--- a/lang/gr.l
+++ b/lang/gr.l
@@ -1743,6 +1743,27 @@ MEMO_MAIL_TEXT3
 #
 ###########################################################################
 	
+# Standard responses
+MEMO_RSEND_PLEASE_WAIT
+	Please wait %d seconds before using the RSEND command again.
+MEMO_RSEND_DISABLED
+	Sorry, RSEND has been disabled on this network.
+MEMO_RSEND_SYNTAX
+	RSEND {nick | channel} memo-text
+MEMO_RSEND_NICK_MEMO_TEXT
+	[auto-memo] The memo you sent has been viewed.
+MEMO_RSEND_CHAN_MEMO_TEXT
+	[auto-memo] The memo you sent to %s has been viewed.
+MEMO_RSEND_USER_NOTIFICATION
+	A notification memo has been sent to %s informing him/her you have
+	read his/her memo.
+
+###########################################################################
+#
+# BotServ messages
+#
+###########################################################################
+	
 # Standard responses
 BOT_DOES_NOT_EXIST
 	Ôï Bot %s äåí õðÜñ÷åé.
@@ -4918,6 +4939,23 @@ MEMO_HELP_SENDALL
 #
 ###########################################################################
 
+MEMO_HELP_RSEND
+	Syntax: RSEND {nick | channel} memo-text
+	
+	Sends the named nick or channel a memo containing
+	memo-text.  When sending to a nickname, the recipient will
+	receive a notice that he/she has a new memo.  The target
+	nickname/channel must be registered.
+	Once the memo is read by its recepient, an automatic notification
+	memo will be sent to the sender informing him/her that the memo
+	has been read.
+
+###########################################################################
+#
+# OperServ help messages
+#
+###########################################################################
+
 OPER_HELP
 	Ïé åíôïëÝò ôïõ %S åßíáé::
 	    GLOBAL      ÓôÝëíåé ìÞíõìá óå üëïõò ôïõò ÷ñÞóôåò
diff --git a/lang/it.l b/lang/it.l
index 49e67edee..266097527 100644
--- a/lang/it.l
+++ b/lang/it.l
@@ -1750,6 +1750,27 @@ MEMO_MAIL_TEXT3
 #
 ###########################################################################
 	
+# Standard responses
+MEMO_RSEND_PLEASE_WAIT
+	Please wait %d seconds before using the RSEND command again.
+MEMO_RSEND_DISABLED
+	Sorry, RSEND has been disabled on this network.
+MEMO_RSEND_SYNTAX
+	RSEND {nick | channel} memo-text
+MEMO_RSEND_NICK_MEMO_TEXT
+	[auto-memo] The memo you sent has been viewed.
+MEMO_RSEND_CHAN_MEMO_TEXT
+	[auto-memo] The memo you sent to %s has been viewed.
+MEMO_RSEND_USER_NOTIFICATION
+	A notification memo has been sent to %s informing him/her you have
+	read his/her memo.
+
+###########################################################################
+#
+# BotServ messages
+#
+###########################################################################
+	
 # Standard responses
 BOT_DOES_NOT_EXIST
 	Il bot %s non esiste.
@@ -5046,6 +5067,23 @@ MEMO_HELP_SENDALL
 #
 ###########################################################################
 
+MEMO_HELP_RSEND
+	Syntax: RSEND {nick | channel} memo-text
+	
+	Sends the named nick or channel a memo containing
+	memo-text.  When sending to a nickname, the recipient will
+	receive a notice that he/she has a new memo.  The target
+	nickname/channel must be registered.
+	Once the memo is read by its recepient, an automatic notification
+	memo will be sent to the sender informing him/her that the memo
+	has been read.
+
+###########################################################################
+#
+# OperServ help messages
+#
+###########################################################################
+
 OPER_HELP
 	Comandi di %S:
 	    GLOBAL      Invia un messaggio a tutti gli utenti
diff --git a/lang/nl.l b/lang/nl.l
index b73ddf00f..9c3b63717 100644
--- a/lang/nl.l
+++ b/lang/nl.l
@@ -1737,6 +1737,27 @@ MEMO_MAIL_TEXT3
 #
 ###########################################################################
 	
+# Standard responses
+MEMO_RSEND_PLEASE_WAIT
+	Please wait %d seconds before using the RSEND command again.
+MEMO_RSEND_DISABLED
+	Sorry, RSEND has been disabled on this network.
+MEMO_RSEND_SYNTAX
+	RSEND {nick | channel} memo-text
+MEMO_RSEND_NICK_MEMO_TEXT
+	[auto-memo] The memo you sent has been viewed.
+MEMO_RSEND_CHAN_MEMO_TEXT
+	[auto-memo] The memo you sent to %s has been viewed.
+MEMO_RSEND_USER_NOTIFICATION
+	A notification memo has been sent to %s informing him/her you have
+	read his/her memo.
+
+###########################################################################
+#
+# BotServ messages
+#
+###########################################################################
+	
 # Standard responses
 BOT_DOES_NOT_EXIST
 	Bot %s bestaat niet.
@@ -4915,6 +4936,23 @@ MEMO_HELP_SENDALL
 #
 ###########################################################################
 
+MEMO_HELP_RSEND
+	Syntax: RSEND {nick | channel} memo-text
+	
+	Sends the named nick or channel a memo containing
+	memo-text.  When sending to a nickname, the recipient will
+	receive a notice that he/she has a new memo.  The target
+	nickname/channel must be registered.
+	Once the memo is read by its recepient, an automatic notification
+	memo will be sent to the sender informing him/her that the memo
+	has been read.
+
+###########################################################################
+#
+# OperServ help messages
+#
+###########################################################################
+
 OPER_HELP
 	%S commando's:
 	    GLOBAL      Stuurt een bericht naar alle gebruikers
diff --git a/lang/pt.l b/lang/pt.l
index d9fb60429..6bde9d6df 100644
--- a/lang/pt.l
+++ b/lang/pt.l
@@ -1745,6 +1745,27 @@ MEMO_MAIL_TEXT3
 #
 ###########################################################################
 	
+# Standard responses
+MEMO_RSEND_PLEASE_WAIT
+	Please wait %d seconds before using the RSEND command again.
+MEMO_RSEND_DISABLED
+	Sorry, RSEND has been disabled on this network.
+MEMO_RSEND_SYNTAX
+	RSEND {nick | channel} memo-text
+MEMO_RSEND_NICK_MEMO_TEXT
+	[auto-memo] The memo you sent has been viewed.
+MEMO_RSEND_CHAN_MEMO_TEXT
+	[auto-memo] The memo you sent to %s has been viewed.
+MEMO_RSEND_USER_NOTIFICATION
+	A notification memo has been sent to %s informing him/her you have
+	read his/her memo.
+
+###########################################################################
+#
+# BotServ messages
+#
+###########################################################################
+	
 # Standard responses
 BOT_DOES_NOT_EXIST
 	Bot %s não existe.
@@ -4822,6 +4843,23 @@ MEMO_HELP_SENDALL
 #
 ###########################################################################
 
+MEMO_HELP_RSEND
+	Syntax: RSEND {nick | channel} memo-text
+	
+	Sends the named nick or channel a memo containing
+	memo-text.  When sending to a nickname, the recipient will
+	receive a notice that he/she has a new memo.  The target
+	nickname/channel must be registered.
+	Once the memo is read by its recepient, an automatic notification
+	memo will be sent to the sender informing him/her that the memo
+	has been read.
+
+###########################################################################
+#
+# OperServ help messages
+#
+###########################################################################
+
 OPER_HELP
 	Comandos do %S:
 	    GLOBAL      Envia uma mensagem para todos usuários
diff --git a/lang/ru.l b/lang/ru.l
index dadcfa5a1..4c8db4d28 100644
--- a/lang/ru.l
+++ b/lang/ru.l
@@ -1734,6 +1734,27 @@ MEMO_MAIL_TEXT3
 #
 ###########################################################################
 	
+# Standard responses
+MEMO_RSEND_PLEASE_WAIT
+	Please wait %d seconds before using the RSEND command again.
+MEMO_RSEND_DISABLED
+	Sorry, RSEND has been disabled on this network.
+MEMO_RSEND_SYNTAX
+	RSEND {nick | channel} memo-text
+MEMO_RSEND_NICK_MEMO_TEXT
+	[auto-memo] The memo you sent has been viewed.
+MEMO_RSEND_CHAN_MEMO_TEXT
+	[auto-memo] The memo you sent to %s has been viewed.
+MEMO_RSEND_USER_NOTIFICATION
+	A notification memo has been sent to %s informing him/her you have
+	read his/her memo.
+
+###########################################################################
+#
+# BotServ messages
+#
+###########################################################################
+	
 # Standard responses
 BOT_DOES_NOT_EXIST
 	Áîò %s íå ñóùåñòâóåò.
@@ -4828,6 +4849,23 @@ MEMO_HELP_SENDALL
 #
 ###########################################################################
 
+MEMO_HELP_RSEND
+	Syntax: RSEND {nick | channel} memo-text
+	
+	Sends the named nick or channel a memo containing
+	memo-text.  When sending to a nickname, the recipient will
+	receive a notice that he/she has a new memo.  The target
+	nickname/channel must be registered.
+	Once the memo is read by its recepient, an automatic notification
+	memo will be sent to the sender informing him/her that the memo
+	has been read.
+
+###########################################################################
+#
+# OperServ help messages
+#
+###########################################################################
+
 OPER_HELP
 	%S commands:
 	    GLOBAL      Ïîñëàòü ñîîáùåíèå âñåì ïîëüçîâàòåëÿì
diff --git a/lang/tr.l b/lang/tr.l
index 1f588e531..64c2ef950 100644
--- a/lang/tr.l
+++ b/lang/tr.l
@@ -1749,6 +1749,27 @@ MEMO_MAIL_TEXT3
 #
 ###########################################################################
 	
+# Standard responses
+MEMO_RSEND_PLEASE_WAIT
+	Please wait %d seconds before using the RSEND command again.
+MEMO_RSEND_DISABLED
+	Sorry, RSEND has been disabled on this network.
+MEMO_RSEND_SYNTAX
+	RSEND {nick | channel} memo-text
+MEMO_RSEND_NICK_MEMO_TEXT
+	[auto-memo] The memo you sent has been viewed.
+MEMO_RSEND_CHAN_MEMO_TEXT
+	[auto-memo] The memo you sent to %s has been viewed.
+MEMO_RSEND_USER_NOTIFICATION
+	A notification memo has been sent to %s informing him/her you have
+	read his/her memo.
+
+###########################################################################
+#
+# BotServ messages
+#
+###########################################################################
+	
 # Standard responses
 BOT_DOES_NOT_EXIST
 	Bot %s mevcut deðil.
@@ -4878,6 +4899,23 @@ MEMO_HELP_SENDALL
 #
 ###########################################################################
 
+MEMO_HELP_RSEND
+	Syntax: RSEND {nick | channel} memo-text
+	
+	Sends the named nick or channel a memo containing
+	memo-text.  When sending to a nickname, the recipient will
+	receive a notice that he/she has a new memo.  The target
+	nickname/channel must be registered.
+	Once the memo is read by its recepient, an automatic notification
+	memo will be sent to the sender informing him/her that the memo
+	has been read.
+
+###########################################################################
+#
+# OperServ help messages
+#
+###########################################################################
+
 OPER_HELP
 	%S commands:
 	    GLOBAL      Tüm kullanýcýlara mesaj gönderir
diff --git a/memoserv.c b/memoserv.c
index ec7ec6599..ab87c1c62 100644
--- a/memoserv.c
+++ b/memoserv.c
@@ -293,7 +293,8 @@ void memo_send(User * u, char *name, char *text, int z)
             notice_lang(s_MemoServ, u, MEMO_SEND_PLEASE_WAIT, MSSendDelay);
 
         if (z == 3)
-            notice_lang(s_MemoServ, u, MEMO_RSEND_PLEASE_WAIT, MSSendDelay);
+            notice_lang(s_MemoServ, u, MEMO_RSEND_PLEASE_WAIT,
+                        MSSendDelay);
 
     } else if (mi->memomax == 0 && !is_servadmin) {
         if (z == 0 || z == 3)
@@ -325,7 +326,7 @@ void memo_send(User * u, char *name, char *text, int z)
         m->flags = MF_UNREAD;
         /* Set receipt request flag */
         if (z == 3)
-           m->flags |= MF_RECEIPT;
+            m->flags |= MF_RECEIPT;
         if (z == 0 || z == 3)
             notice_lang(s_MemoServ, u, MEMO_SENT, name);
         if (!ischan) {
@@ -561,7 +562,7 @@ static int read_memo(User * u, int index, MemoInfo * mi, const char *chan)
 
     /* Check if a receipt notification was requested */
     if (m->flags && MF_RECEIPT) {
-       rsend_notify(u, m, chan);
+        rsend_notify(u, m, chan);
     }
 
     return 1;
@@ -1262,7 +1263,7 @@ static int do_rsend(User * u)
 /*************************************************************************/
 /* Send receipt notification to sender. */
 
-void rsend_notify(User *u, Memo *m, const char *chan)
+void rsend_notify(User * u, Memo * m, const char *chan)
 {
     NickAlias *na;
     NickCore *nc;
diff --git a/mysql.c b/mysql.c
index cec85700e..9ddac4455 100644
--- a/mysql.c
+++ b/mysql.c
@@ -58,6 +58,7 @@ int db_mysql_init()
         do_mysql = 1;
         alog("MySQL has been enabled.");
     }
+
     if (!db_mysql_open())
         do_mysql = 0;
 
diff --git a/version.log b/version.log
index 08fb26913..27acdd8d8 100644
--- a/version.log
+++ b/version.log
@@ -8,11 +8,14 @@
 VERSION_MAJOR="1"
 VERSION_MINOR="7"
 VERSION_PATCH="2"
-VERSION_BUILD="70"
+VERSION_BUILD="71"
 VERSION_EXTRA=""
 
 # $Log$
 #
+# BUILD : 1.7.2 (71)
+# NOTES : Language file normalization. Make sure distclean is made.
+#
 # BUILD : 1.7.2 (70)
 # BUGS  : 
 # NOTES : Modified RSEND to send receipt memo as user instead of MemoServ
